<?php

$log_object = Logger::get_instance();

$row = 0;
if (($handle = fopen(ROOT_DIR.'tmp/import/'.basename($_FILES['Filedata']['name']), "r")) !== FALSE) {
	$navids = array();
	while (($data = fgetcsv($handle, 1000, ";")) !== FALSE) {
		$row++;
		if ($row != 1) {
			// löschen mit navisionid und orginal-nr
			if (strlen($data[7]) == 0) {
				$sql = "DELETE FROM import_geraetezuordnung where bestellcode='".$data[2]."' AND navisionid=".$data[0];
			} else if (strlen($data[7]) == 1) { // datensatz hinzufügen
				$sql = "INSERT INTO import_geraetezuordnung (navisionid, einkaufsmoeglichkeitencached, bezeichnungoriginal, nr, zusatz) VALUES "
					."('".$data[0]."', '".utf8_encode($data[5])."', '".utf8_encode($data[4])."', '".utf8_encode($data[2])."', '".utf8_encode($data[6])."')";
				//$sql = "REPLACE INTO passendwie (navisionid, vertreiber, bestellcode) VALUES ('".$data[0]."', '".utf8_encode($data[2])."', '".$data[3]."')";
			} else if (strlen($data[7]) == 2) { // alle löschen mit navisionid
				$sql = "DELETE FROM import_geraetezuordnung where navisionid=".$data[0];
			}

			$this->db->query($sql);
			if ($this->db->error) {
				$log_object->info('Error in /core/imports/kinseher_geraetezuordnung.inc.php', $this->db->error.', sql:'.$sql);
			}

		}
	}
	fclose($handle);
}

?>